Public Class clsOntlening

    Private msOntleningId As String
    Private msAlbumId As String
    Private msOntlenerId As String
    Private msDatumIn As Date
    Private msDatumUit As Date
    Private msInBezit As String

    Public Property OntleningId() As String
        Get
            Return Me.msOntleningId
        End Get
        Set(ByVal Value As String)
            Me.msOntleningId = Value.Trim
        End Set
    End Property

    Public Property AlbumId() As String
        Get
            Return Me.msAlbumId
        End Get
        Set(ByVal Value As String)
            Me.msAlbumId = Value.Trim
        End Set
    End Property

    Public Property OntlenerId() As String
        Get
            Return Me.msOntlenerId
        End Get
        Set(ByVal Value As String)
            Me.msOntlenerId = Value.Trim
        End Set
    End Property

    Public Property DatumUit() As Date
        Get
            Return Me.msDatumUit
        End Get
        Set(ByVal Value As Date)
            Me.msDatumUit = Value
        End Set
    End Property

    Public Property DatumIn() As Date
        Get
            Return Me.msDatumIn
        End Get
        Set(ByVal Value As Date)
            Me.msDatumIn = Value
        End Set
    End Property

    Public Property InBezit() As String
        Get
            Return Me.msInBezit
        End Get
        Set(ByVal Value As String)
            Me.msInBezit = Value.Trim
        End Set
    End Property

    Public Sub New(ByVal sOntleningId As String, ByVal sAlbumId As String, ByVal sOntlenerId As String, ByVal sDatumUit As Date, ByVal sDatumIn As Date, ByVal sInBezit As String)
        Me.OntleningId = sOntleningId
        Me.AlbumId = sAlbumId
        Me.OntlenerId = sOntlenerId
        Me.DatumUit = sDatumUit
        Me.DatumIn = sDatumIn
        Me.InBezit = sInBezit


    End Sub

    Public Overrides Function toString() As String
        Return Me.OntleningId & "  " & Me.AlbumId & "  " & Me.OntlenerId & "  " & Me.DatumUit & "  " & Me.DatumIn & "  " & Me.InBezit
    End Function

End Class
